@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins";
}
#nav-bar {
    width: 100%;
    height: 10vmin;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    background-color: black;
    position: fixed;
    z-index: 9999999;
}

#nav-logo {
    width: 30%;
    font-size: 5vmin;
    text-transform: uppercase;
    color:white;
    letter-spacing: 0.1vmin;
}

#nav-list {
    width: 50%;

}

#nav-list ul {
    width: 100%;
    list-style-type: none;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

#nav-list ul li a {
    text-decoration: none;
    color: white;
    font-size: calc(0.5vmin + 1vmax);
    letter-spacing: 0.1vmin;

}

#nav-list ul li a:hover {
    border-bottom: 0.2vmin solid #E88D67;
}

#nav-list span{
   
  display: none;
  
}
#nav-list span i{
    font-size: 4vmin;
    color: white;
    
}

/* MAIN-IMG.................................. */
.main-img{
    width: 100%;
    height: auto;
 

}

#magzine{

    width: 100%;
    height: 100%;
    padding: 4vmin;
     background-color: grey;
       display: flex;
       flex-direction: column;
       row-gap: 4vmin;
     justify-content: center;
     align-items: center;
}
.magzine-boxes{
    width: 100%;
     display: flex;
     justify-content: center;
     align-items: center;
    
}
#mag-box-1 {
       width: 64vmin;
    height: 80%;
   
 }

#mag-box-1 h1{
      width: 100%;
    
    font-size: 4vmax;  
    text-align: center;   
    text-content: center;      

    font-weight: 600;
    letter-spacing: 0.2vmin;
   

}
#mag-box-2{
    width: 64vmin;
    height: 82.5vmin;

    background-image: url('image/magazine\ design.jpg');
    background-size: contain;
      background-repeat: no-repeat;

   

  


}
#mag-box-3{
  width: 64vmin;
    height: 82.5vmin;

    background-image: url('image/sport\ magzine2.png');
    background-size: contain;
      background-repeat: no-repeat;
}
#mag-box-4{
 width: 64vmin;
    height: 82.5vmin;

    background-image: url('image/sport\ magzine3.png');
    background-size: contain;
      background-repeat: no-repeat;

}

#mag-box-5{
   width: 64vmin;
    height: 82.5vmin;

    background-image: url('image/sport\ magzine4.png');
    background-size: contain;
      background-repeat: no-repeat;


}

#mag-box-6{
    width: 64vmin;
    height: 82.5vmin;

    background-image: url('image/sport\ magzine5.png');
    background-size: contain;
      background-repeat: no-repeat;


}
#mag-box-7{
     width: 64vmin;
    height: 82.5vmin;

    background-image: url('image/sport\ magzine6.png');
    background-size: contain;
      background-repeat: no-repeat;


}
#mag-box-8{
    width: 64vmin;
    height: 82.5vmin;

    background-image: url('image/sport\ magzine7.png');
    background-size: contain;
      background-repeat: no-repeat;

}

footer{
    
     height: 100%;
     background-color: rgb(34, 34, 34);
     width: 100%;
     
     
}
footer .footer-icon ul {
  
   display: flex;
   justify-content: center;
   align-items: center;
   padding: 2vmin 0;
}
footer .footer-icon ul li{
    list-style: none;
    margin: 0 4vmin;
    
}
footer .footer-icon ul li a{
    text-decoration: none;
    color: white;
    font-size: 2vmax;
}


footer .footer-text{
   
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    justify-content: space-between;
    padding: 2.5vmin;
    background-color: black;

}
.footer-text h2{
    font-size: 1vmax;
    font-weight: 300;
}
.footer-text h3{
    font-size: 1vmax;
    font-weight: 200;
}
/* Responsive-------------------- */
@media only screen and (max-width: 450px){
    #nav-list span{
        display:flex;
        justify-content: end;
        align-items: center;
        color: white;
    }
    #nav-list ul {
       position: absolute;
       width: 100%;
       height: 100vh;
    
       background-color: rgba(13, 13, 13, 0.9);
       top: 10vmin;
       left: -100%;
       transition:all  .5s;
       display: block;
       text-align: center;
       z-index: 999999;
        

    }
    #nav-list ul li{
        
      
        line-height: 30px;
        margin:4vmin 0.3vmin;
       

 } 
 #nav-list ul li a{ 
    font-size: 20px;
    padding: 1vmin;
    display: inline-block;
    width: 90vw;

   
    border-bottom: 0.8px solid rgb(109, 108, 108);
 }
 #nav-list ul.show{

    left: 0;

 }
}